org.bdgenomics.adam.sql

# Sequence

###
Related Docs: object Sequence | package sql

#### case class Sequence(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, length: Option[Long] = None, attributes: Map[String, String] = Map()) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Sequence
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Sequence(name: Option[String] = None, description: Option[String] = None, alphabet: Option[String] = None, sequence: Option[String] = None, length: Option[Long] = None, attributes: Map[String, String] = Map())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val alphabet: Option[String]

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### val attributes: Map[String, String]

7. #### def canEqual(that: Any): Boolean

   Definition Classes
     Sequence → Equals

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### val description: Option[String]

10. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

14. #### val length: Option[Long]

15. #### val name: Option[String]

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def productArity: Int

    Definition Classes
      Sequence → Product

20. #### def productElement(i: Int): Any

    Definition Classes
      Sequence → Product

21. #### val sequence: Option[String]

22. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

23. #### def toAvro: formats.avro.Sequence

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped